// Default empty project template
import bb.cascades 1.0

// creates one page with a label
Page {
    onCreationCompleted: {
        var xmlContents = XML.LoadXML("Information.xml", "object", "description");    // Call the C++ Method to load the XML data. 3 arguments: XML File, Row name, attribute name
        
        // Clear the contents of the DropDown
        exampleDropDown.removeAll();
        
        // Add the options from the XML to the DropDown
        for(var x = 0; x < xmlContents.length; x++){
            console.log("entry: " + x);
            console.log(xmlContents[x].description);
            
            var opt = option.createObject();                //
            opt.text = xmlContents[x].description;          // Needs to be an 'Option' before the DropDown will accept it
            
            exampleDropDown.add(opt);
        }
    }
    Container {
        layout: StackLayout {}
        Label {
            text: qsTr("Hello XML!")
            textStyle.base: SystemDefaults.TextStyles.BigText
            horizontalAlignment: HorizontalAlignment.Center
        }
        Divider {
            
        }
        DropDown {
            id: exampleDropDown
        }
    }
    
    //
    // Per bug BBTEN-302: I need to specify a new ComponentDefinition in the attachedObjects section
    //                    In order to add options to a DropDown 
    //                    http://boredwookie.net/index.php/blog/blackberry-10-cascades-create-a-custom-control-dropdownlist/
    //
    attachedObjects: [
        ComponentDefinition {
            id: option
            Option{}
        }
    ]
}

