// Default empty project template
#include "DropDownFromXmlData.hpp"
#include "XmlReader.h"

#include <bb/cascades/Application>
#include <bb/cascades/QmlDocument>
#include <bb/cascades/AbstractPane>

using namespace bb::cascades;

DropDownFromXmlData::DropDownFromXmlData(bb::cascades::Application *app)
: QObject(app)
{
    // create scene document from main.qml asset
    // set parent to created document to ensure it exists for the whole application lifetime
    QmlDocument *qml = QmlDocument::create("asset:///main.qml").parent(this);

    // Make an instance of the XML Reader class so it is available to QML pages
    XmlReader *xml = new XmlReader();
    qml->setContextProperty("XML", xml);

    // create root object for the UI
    AbstractPane *root = qml->createRootObject<AbstractPane>();
    // set created root object as a scene
    app->setScene(root);
}

